LinuxQMISDK: LOCStartReqResp Struct Reference

LinuxQMISDK SLQS03.03.11

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
LOCStartReqResp Struct Reference

## Data Fields
BYTE | SessionId
ULONG * | pRecurrenceType
ULONG * | pHorizontalAccuracyLvl
ULONG * | pIntermediateReportState
ULONG * | pMinIntervalTime
struct LocApplicationInfo * | pApplicationInfo
ULONG * | pConfigAltitudeAssumed

## Detailed Description

This structure contains the LOC Start Request

Parameters

  SessionId | ID of the session as identified by the control point. Range: 0 to 255
  pRecurrenceType | Specifies the type of session in which the control point is interested. Defaults to SINGLE. -Values 1 - Request periodic position fixes 2 - Request a single position fix
  pHorizontalAccuracyLvl | Specifies the horizontal accuracy level required by the control point. Defaults to LOW Values 1 - Low accuracy 2 - Medium accuracy 3 - High accuracy
  pIntermediateReportState | Specifies if the control point is interested in receiving intermediate reports. ON by default. Values 1 - Intermediate reports are turned on 2 - Intermediate reports are turned off
  appVersionValid | Specifies whether the application version string contains a valid value 0x00 (FALSE) – Application version string is invalid 0x01 (TRUE) – Application version string is valid
  LocApplicationInfo | LOC Application Parameters See LocApplicationInfo for more information
  pConfigAltitudeAssumed | Configuration for Altitude Assumed Info in GNSS SV Info Event Defaults to ENABLED. Values 1 - Enable Altitude Assumed information in GNSS SV Info Event 2 - Disable Altitude Assumed information in GNSS SV Info Event

## Field Documentation

struct LocApplicationInfo* LOCStartReqResp::pApplicationInfo

ULONG* LOCStartReqResp::pConfigAltitudeAssumed

ULONG* LOCStartReqResp::pHorizontalAccuracyLvl

ULONG* LOCStartReqResp::pIntermediateReportState

ULONG* LOCStartReqResp::pMinIntervalTime

ULONG* LOCStartReqResp::pRecurrenceType

BYTE LOCStartReqResp::SessionId